Page MenuHomePhabricator

Flow tests fails to run with VisualEditor installed
Closed, ResolvedPublic

Description

When playing with the job testing multiple extensions together ( https://www.mediawiki.org/wiki/RFC/Extensions_continuous_integration ), I found out the Flow tests are failing because they can not contact Parsoid although the PHPUnit job for Flow pass just fine.

Talking with @matthiasmullie , the reason is that the shared job bring in VisualEditor and Flow will fallback its Parsoid config ( $wgFlowParsoid* ) to whatever VisualEditor has ( $wgVisualEditorParsoidURL = 'http://localhost:8000'; ).

Since we do not have yet a Parsoid backend spawned in the job, Flow fails miserably. A way to fix it would be to disable Parsoid configuration entirely whenever it detects its run under Jenkins. We have a global variable set for that: $wgWikimediaJenkinsCI = true; which has been used reliably by the Wikibase repositories.

Event Timeline

hashar created this task.Jan 15 2015, 2:22 PM
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, matthiasmullie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2015, 2:22 PM
gerritbot added a subscriber: gerritbot.

Change 185175 had a related patch set uploaded (by Matthias Mullie):
Make it possible to opt-out of parsoid

https://gerrit.wikimedia.org/r/185175

Patch-For-Review

hashar closed this task as Resolved.Jan 15 2015, 9:40 PM
hashar claimed this task.

Fixed by Gerrit #185175. The Flow extension is now included in the shared PHPUnit job. Thanks!

Mattflaschen-WMF reopened this task as Open.Jan 15 2015, 10:04 PM

That's not merged. We're still discussing how to do it.

Sorry, I swear I have though it got merged despite Matt -1. I must be tired :-]

Mattflaschen-WMF triaged this task as Medium priority.Jan 16 2015, 6:46 PM

Change 187869 had a related patch set uploaded (by Mattflaschen):
Update Flow Parsoid config comment

https://gerrit.wikimedia.org/r/187869

Patch-For-Review

Change 185175 merged by jenkins-bot:
No longer fall back to VE's Parsoid defaults.

https://gerrit.wikimedia.org/r/185175

Change 188072 had a related patch set uploaded (by EBernhardson):
No longer fall back to VE's Parsoid defaults.

https://gerrit.wikimedia.org/r/188072

Patch-For-Review

Change 188072 merged by jenkins-bot:
No longer fall back to VE's Parsoid defaults.

https://gerrit.wikimedia.org/r/188072

Change 188080 had a related patch set uploaded (by EBernhardson):
No longer fall back to VE's Parsoid defaults.

https://gerrit.wikimedia.org/r/188080

Patch-For-Review

Change 188080 merged by jenkins-bot:
No longer fall back to VE's Parsoid defaults.

https://gerrit.wikimedia.org/r/188080

Change 187869 merged by jenkins-bot:
Update Flow Parsoid config comment

https://gerrit.wikimedia.org/r/187869

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 5 2015, 1:08 AM